
GammaLib - Bug #2021

FITS error 110 or 114 in GFits::free_members()

04/24/2017 04:01 PM - Knödlseder Jürgen

Status: Closed Start date: 04/24/2017

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.3.0   

Description

When using GammaLib in a multi-threaded environment a GFits::free_members() error occurs from time to time with status codes

110 or 114. It may be that this is related to the multi-threading.

The cfitsio documentation says that the library needs to be configured with

./configure --enable-reentrant

to support multi-threading. This may be the problem.

History

#1 - 04/25/2017 02:55 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.3.0

- % Done changed from 0 to 90

After putting the saving of the response cubes (as well as the loading) into an OpenMP critical zone the problems disappeared.

#2 - 04/25/2017 05:32 PM - Knödlseder Jürgen

- % Done changed from 90 to 100

Code is merged into devel. There seem to be no longer any problems, but I keep the issue open until the processing is complete.

#3 - 04/27/2017 10:39 AM - Knödlseder Jürgen

- Priority changed from Normal to High

- % Done changed from 100 to 20

Unfortunately there are still problems during the parallel processing of the cubes. Here specifically the files that are concerned:

l080b60 - edisp - 100 GeV - 150 TeV (status: 110, 114)

l080b60 - edisp - 1 - 150 TeV (status: 110, 114)

l282b68 - cntcube - 30 GeV - 160 TeV (status: 110)

l000b60 - source cube - 100 GeV - 150 TeV (status: 110, 114)

l020b60 - bkgcube - 30 GeV - 160 TeV (status: 110, 114)

l282b68 - cntcube - 100 GeV - 150 TeV (status: 110)

l040b60 - bkgcube - 1 - 150 TeV (status: 110, 114)

...

This means that not a specific cube is concerned but all cubes.

04/24/2024 1/2



#4 - 04/27/2017 11:21 AM - Knödlseder Jürgen

It appears that no space is left on the device, so this may be the problem.

#5 - 06/06/2017 04:18 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 20 to 100

This problem did not reappear again, so I close the issue now.
